const express = require('express');
const router = express.Router();
const serviceModel = require('../models/services');
const workerModel = require('../models/worker');

router.post('/webserver', async (req, res) => {
	await serviceModel.removeOldServices(req.body.version);
	await serviceModel.insertOrUpdateServices(req.body.services, req.body.version);

	res.json({
		message: 'ok'
	});
});

router.post('/service', async (req, res) => {
	await workerModel.insertOrUpdateWorker(req.body.name, req.body.ip, req.body.port, async () => {
		res.json({
			state: 'created'
		});
	}, async () => {
		await workerModel.removeOldWorker();
		res.json({
			state: 'updated'
		});
	});
});

module.exports = router;
