const { createLogger, format, transports } = require('winston');

let logger;

if(process.env.NODE_ENV === 'development'){
	 logger = {};

	logger.error = (msg) => {
		console.trace();
		console.log(msg);
	}
	logger.info = (msg) => {
		console.trace();
		console.log(msg);
	}
}else{
	 logger = createLogger({
		format: format.combine(
			format.splat(),
			format.simple()
		),
		transports: [
			new transports.Console()
		]
	});
}

module.exports = logger;